CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel: CGAL::squared_radius()

CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
Functions
CGAL::squared_radius()
Reference Manual » Global Kernel Functions

##

See also
  `Circle_2<Kernel>_grp`
  `Circle_3<Kernel>_grp`
  `Sphere_3<Kernel>_grp`

## Functions
template<typename Kernel >
FT | CGAL::squared_radius (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r)
| compute the squared radius of the circle passing through the points `p`, `q`, and `r`.
template<typename Kernel >
FT | CGAL::squared_radius (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q)
| compute the squared radius of the smallest circle passing through `p`, and `q`, i.e. one fourth of the squared distance between `p` and `q`.
template<typename Kernel >
FT | CGAL::squared_radius (const CGAL::Point_2< Kernel > &p)
| compute the squared radius of the smallest circle passing through `p`, i.e. \( 0\).
template<typename Kernel >
FT | CGAL::squared_radius (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r, const CGAL::Point_3< Kernel > &s)
| compute the squared radius of the sphere passing through the points `p`, `q`, `r` and `s`.
template<typename Kernel >
FT | CGAL::squared_radius (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| compute the squared radius of the sphere passing through the points `p`, `q`, and `r` and whose center is in the same plane as those three points.
template<typename Kernel >
FT | CGAL::squared_radius (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q)
| compute the squared radius of the smallest circle passing through `p`, and `q`, i.e. one fourth of the squared distance between `p` and `q`.
template<typename Kernel >
FT | CGAL::squared_radius (const CGAL::Point_3< Kernel > &p)
| compute the squared radius of the smallest circle passing through `p`, i.e. \( 0\).

## Function Documentation

## ◆ squared_radius() [1/2]

template<typename Kernel >

FT CGAL::squared_radius | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const CGAL::Point_2< Kernel > & | r
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the squared radius of the circle passing through the points `p`, `q`, and `r`.

Precondition
  `p`, `q`, and `r` are not collinear.

## ◆ squared_radius() [2/2]

template<typename Kernel >

FT CGAL::squared_radius | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r,
|  | const CGAL::Point_3< Kernel > & | s
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the squared radius of the sphere passing through the points `p`, `q`, `r` and `s`.

Precondition
  `p`, `q`, `r` and `s` are not coplanar.